# Ogre::LinearResampler_Float32 Struct Reference

`#include <OgreImageResampler.h>`

List of all members.

## Static Public Member Functions

static void | scale (const PixelBox &src, const PixelBox &dst)

## Detailed Description

Definition at line 172 of file OgreImageResampler.h.

## Member Function Documentation

static void Ogre::LinearResampler_Float32::scale | ( | const PixelBox & | src,
|  | const PixelBox & | dst |
| ) |  |  | `[static]`

Definition at line 173 of file OgreImageResampler.h.

References ACCUM3, ACCUM4, Ogre::Box::back, Ogre::Box::bottom, Ogre::PixelBox::data, Ogre::PixelBox::format, Ogre::Box::front, Ogre::Box::getDepth(), Ogre::Box::getHeight(), Ogre::PixelUtil::getNumElemBytes(), Ogre::PixelBox::getRowSkip(), Ogre::PixelBox::getSliceSkip(), Ogre::Box::getWidth(), Ogre::Box::left, Ogre::Box::right, and Ogre::Box::top.

The documentation for this struct was generated from the following file:

- OgreImageResampler.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Dec 27 17:37:19 2009